﻿Type=Class
Version=6
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@

'#Event: ExampleEvent (Value As Int)
'#DesignerProperty: Key: BooleanExample, DisplayName: Boolean Example, FieldType: Boolean, DefaultValue: True, Description: Example of a boolean property.
'#DesignerProperty: Key: IntExample, DisplayName: Int Example, FieldType: Int, DefaultValue: 10, MinRange: 0, MaxRange: 100, Description: Note that MinRange and MaxRange are optional.
'#DesignerProperty: Key: StringWithListExample, DisplayName: String With List, FieldType: String, DefaultValue: Sunday, List: Sunday|Monday|Tuesday|Wednesday|Thursday|Friday|Saturday
'#DesignerProperty: Key: StringExample, DisplayName: String Example, FieldType: String, DefaultValue: Text
'#DesignerProperty: Key: ColorExample, DisplayName: Color Example, FieldType: Color, DefaultValue: 0xFFCFDCDC, Description: You can use the built-in color picker to find the color values.

Sub Class_Globals
	Private EventName As String 'ignore
	Private CallBack As Object 'ignore
	Private mBase As Panel
	
	Private mEdit As EditText
	
End Sub

Public Sub Initialize (vCallback As Object, vEventName As String)
	EventName = vEventName
	CallBack = vCallback
End Sub

Public Sub DesignerCreateView (Base As Panel, Lbl As Label, Props As Map)
	mBase = Base
   
	 Return
	mEdit.Initialize("mEdit")
	
	Base.AddView(mEdit, 0,0, Base.Width, Base.Height)
	mEdit.Gravity					=		Lbl.Gravity
	
	mEdit.Tag							=		Lbl.Tag
	
	mEdit.Text						=		Lbl.Text	
	mEdit.Enabled					=		Lbl.Enabled

	'mEdit.TextColor				=		Lbl.TextColor
	mEdit.TextColor = Colors.Black
	mEdit.Color			= Colors.Red
	
	mEdit.TextSize				=		Lbl.TextSize
	
	mEdit.Width						=		50%x 'Lbl.Width
	Log("Larghezza controllo " & Lbl.Width)
End Sub

Public Sub GetBase As Panel
	Return mBase
End Sub

public Sub getCtrl As EditText
	Return mEdit
End Sub

'set or get the Textproperty
Public Sub setText(Text As String)
	mEdit.Text = Text
End Sub

Public Sub getText As String
	Return mEdit.Text
End Sub